/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package common.timer;

import com.sun.istack.logging.Logger;
import common.timer.TimerTask;
import common.timer.TimerTaskCommand;
import java.io.Serializable;

/**
 *
 * @author mauro
 */
public class TimerTestTask extends TimerTask {

    private final int SLEEP_BEFORE_START = 0;
    private final int SLEEP_BEFORE = 2;

    @Override
    public void execute() throws Exception {
        Logger.getLogger(this.getClass()).info(" * TIMER TEST TASK * ");
    }

    @Override
    public void init(Serializable payload) {
        // NOP
    }

    @Override
    public TimerTaskCommand getFirstCommand() {
        return buildTaskCommand(SLEEP_BEFORE_START, TimerTestTask.class);
    }

    @Override
    public TimerTaskCommand getNextCommand(TimerTaskCommand previous) {
        return buildTaskCommand(SLEEP_BEFORE, TimerTestTask.class);
    }
}
