package test.timer.init;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */



import common.timer.TimerTestTask;
import common.timer.ejb.TimerSvc;
import common.timer.ejb.TimerSvcDelegate;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

/**
 *
 * @author Utente
 */
public class TimerInitialization implements ServletContextListener {

    @Override
    public void contextInitialized(ServletContextEvent arg0) {

        try {

            Logger.getLogger(this.getClass().getSimpleName()).log(Level.INFO, "Starting up TimerTestTask");

            TimerSvc timerSvc = new TimerSvcDelegate();
            timerSvc.scheduleTask(new TimerTestTask());

            Logger.getLogger(this.getClass().getSimpleName()).log(Level.INFO, "TimerTestTask startup complete");
        }
        catch ( Exception ex ) {
            Logger.getLogger(this.getClass().getSimpleName()).log(Level.SEVERE, "TimerTestTask startup aborted.", ex);
        }
    }

    @Override
    public void contextDestroyed(ServletContextEvent arg0) {
        // NOP
    }
}